Upstream information

CVE-2019-10691 at MITRE

Description

The JSON encoder in Dovecot before 2.3.5.2 allows attackers to repeatedly crash the authentication service by attempting to authenticate with an invalid UTF-8 sequence as the username.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
SUSE Bugzilla entry: 1132501 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • dovecot23 >= 2.3.3-4.13.1
  • dovecot23-backend-mysql >= 2.3.3-4.13.1
  • dovecot23-backend-pgsql >= 2.3.3-4.13.1
  • dovecot23-backend-sqlite >= 2.3.3-4.13.1
  • dovecot23-devel >= 2.3.3-4.13.1
  • dovecot23-fts >= 2.3.3-4.13.1
  • dovecot23-fts-lucene >= 2.3.3-4.13.1
  • dovecot23-fts-solr >= 2.3.3-4.13.1
  • dovecot23-fts-squat >= 2.3.3-4.13.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-997
openSUSE Leap 15.0
  • dovecot23 >= 2.3.3-lp150.11.1
  • dovecot23-backend-mysql >= 2.3.3-lp150.11.1
  • dovecot23-backend-mysql-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-backend-pgsql >= 2.3.3-lp150.11.1
  • dovecot23-backend-pgsql-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-backend-sqlite >= 2.3.3-lp150.11.1
  • dovecot23-backend-sqlite-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-debugsource >= 2.3.3-lp150.11.1
  • dovecot23-devel >= 2.3.3-lp150.11.1
  • dovecot23-fts >= 2.3.3-lp150.11.1
  • dovecot23-fts-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-fts-lucene >= 2.3.3-lp150.11.1
  • dovecot23-fts-lucene-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-fts-solr >= 2.3.3-lp150.11.1
  • dovecot23-fts-solr-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-fts-squat >= 2.3.3-lp150.11.1
  • dovecot23-fts-squat-debuginfo >= 2.3.3-lp150.11.1
Patchnames:
openSUSE-2019-1312